Skip to main content

/joinmember ⇒

GET

This API is used to allocate the temporary token to the guest user. Using this token any guest users can join the existing meeting room.

Your application server must provide a /auth/joinmember endpoint to Android/Web/IOS clients to fetch the guest token.

API signature in your application server.

* ENDPOINT      :   '/auth/joinmember'
* METHOD : GET
* QUERY PARAM : roomName
* HEADERS : Content-type: application/json
* RESPONSE : { "error": null, "data" : <guest token> }

Sample code to generate jwt token using nodejs technology.

const jwt = require('jsonwebtoken');
const uniqueId = require('short-uuid');

const payload = {
roomName,
userId: uniqueId.generate(),
}

const token = jwt.sign(
payload,
secret,
{ expiresIn: `${expiryTime}s`}
);

Response expected by Android/Web/IOS clients from Your Application Server.

{
"error": null,
"data": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJyb29tTmFtZSI6InRlc3Ryb29tIiwidXNlcklkIjoiZkREZGZYMzRBV3dxY0RIR052R0RUQiIsImlhdCI6MTcxNzY3MzUyNSwiZXhwIjoxNzE3NzI3NTI1fQ.I-WjgBNiM1v-7lzXJff1tCQ01AIaHAJ-RriJkUgM8wg"
}

Error Codes:

400 : Bad Request (If roomName is not passed in query param)

{
"data": null,
"error": {
"code": 400,
"message": "Room name required in query param."
}
}

404 : Not Found (If invalid url or wrong http method is used)

{
"error": {
"code": 404,
"message": "Not found"
},
"data": null
}

500 : Internal Server Error (If there is any exception on server side)

{
"error": {
"code": 500,
"message": "Internal server error"
},
"data": null
}